Bug 20648 - "Display in check-out" renamed to "Display in patron's brief information" on patron attributes configuration page
Summary: "Display in check-out" renamed to "Display in patron's brief information" on ...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on: 12159
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-24 10:40 UTC by Séverine Queune
Modified: 2020-05-16 18:26 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 20648: Attribute option 'Display in check-out' should be renamed (2.01 KB, patch)
2020-03-16 16:47 UTC, David Roberts
Details | Diff | Splinter Review
Bug 20648: Attribute option 'Display in check-out' should be renamed (2.03 KB, patch)
2020-03-25 21:15 UTC, David Roberts
Details | Diff | Splinter Review
Bug 20648: Attribute option 'Display in check-out' should be renamed (2.09 KB, patch)
2020-03-26 10:07 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 20648: Attribute option 'Display in check-out' should be renamed (2.16 KB, patch)
2020-03-26 12:16 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-04-24 10:40:49 UTC
Attributes checked "Display in check-out" are now displayed on side panel of
all tabs in patron account thanks to Bug 12159.

The description "Display in check-out: Check to show this attribute in patron check-out" on the "Attribute menu" should be modifiy now.
--> "Display in patron's brief information" ?
Comment 1 David Roberts 2020-03-16 16:47:45 UTC
Created attachment 100779 [details] [review]
Bug 20648:  Attribute option 'Display in check-out' should be renamed

This patch rewords the 'Display in check-out' option in the patron
attribute policy

To test:

1) Apply patch
2) Go to /cgi-bin/koha/admin/patron-attr-types.pl?op=add_attribute_type
3) Check that the 8th line down has been renamed to "Display in patron's
brief information:"
4) Check the description of this same option has been changed to "Check
to show this attribute in the brief information panel in the patron's
record (staff client)."
Comment 2 Sally 2020-03-24 11:29:42 UTC
Patch doesn't apply.
Comment 3 David Roberts 2020-03-25 21:15:19 UTC
Created attachment 101774 [details] [review]
Bug 20648:  Attribute option 'Display in check-out' should be renamed

This patch rewords the 'Display in check-out' option in the patron
attribute policy

To test:

1) Apply patch
2) Go to /cgi-bin/koha/admin/patron-attr-types.pl?op=add_attribute_type
3) Check that the 8th line down has been renamed to "Display in patron's
brief information:"
4) Check the description of this same option has been changed to "Check
to show this attribute in the brief information panel in the patron's
record (staff client)."
Comment 4 David Roberts 2020-03-25 21:16:30 UTC
I've fixed the patch, please try again! :-)
Comment 5 PTFS Europe Sandboxes 2020-03-26 10:07:17 UTC
Created attachment 101795 [details] [review]
Bug 20648: Attribute option 'Display in check-out' should be renamed

This patch rewords the 'Display in check-out' option in the patron
attribute policy

To test:

1) Apply patch
2) Go to /cgi-bin/koha/admin/patron-attr-types.pl?op=add_attribute_type
3) Check that the 8th line down has been renamed to "Display in patron's
brief information:"
4) Check the description of this same option has been changed to "Check
to show this attribute in the brief information panel in the patron's
record (staff client)."

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 Sally 2020-03-26 10:07:54 UTC
(In reply to David Roberts from comment #4)
> I've fixed the patch, please try again! :-)

Thanks for the quick fix!  Works perfectly - signed off.
Comment 7 Kyle M Hall 2020-03-26 12:16:31 UTC
Created attachment 101819 [details] [review]
Bug 20648: Attribute option 'Display in check-out' should be renamed

This patch rewords the 'Display in check-out' option in the patron
attribute policy

To test:

1) Apply patch
2) Go to /cgi-bin/koha/admin/patron-attr-types.pl?op=add_attribute_type
3) Check that the 8th line down has been renamed to "Display in patron's
brief information:"
4) Check the description of this same option has been changed to "Check
to show this attribute in the brief information panel in the patron's
record (staff client)."

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Martin Renvoize 2020-03-27 08:53:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-04-03 22:45:34 UTC
enhancement not backported to 19.11.x